Gets the path to the file

- « SplFileInfo::getPathInfo

- SplFileInfo::getPerms »

- PHP Manual
- SplFileInfo
- Gets the path to the file

# SplFileInfo::getPathname

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

SplFileInfo::getPathname — Gets the path to the file

### Description

public SplFileInfo::getPathname(): string

Returns the path to the file.

### Parameters

This function has no parameters.

### Return Values

The path to the file.

### Examples

Example #1 SplFileInfo::getPathname() example

    <?php
    $info = new SplFileInfo('/usr/bin/php');
    var_dump($info->getPathname());
    ?>

The above example will output something similar to:

    string(12) "/usr/bin/php"

### See Also

- SplFileInfo::getRealPath() - Gets absolute path to file